# Capitalisation des Unités d'Enseignement en BUT

## Principe général

Une formation est constituée d'une succession de semestres (dans ScoDoc un
"semestre" peut avoir une durée quelconque, mais pour le BUT ce sont de vrais
semestres), eux-mêmes divisés en Unités d'Enseignement (UEs).

Les UEs sont constituées de modules (ressources et SAÉs en BUT). Les UEs sont
*capitalisables* et associées à des crédits académiques (ECTS). Lorsqu'un
étudiant interrompt ses études ou redouble, il conserve ses UEs capitalisées.

ScoDoc prend en compte cela par différents mécanismes:

- lorsqu'un étudiant redouble dans la même formation, ses UEs capitalisées sont
  automatiquement prises en compte. L'étudiant peut choisir de refaire une UE
  capitalisée. Dans ce cas, ScoDoc prendra automatiquement en compte celle ayant
  la meilleure note. Il peut aussi choisir de ne pas refaire cette UE (voir plus
  loin).
- Il arrive que les programmes évoluent d'une année sur l'autre (changement de
  version, réformes). ScoDOc permet d'indiquer si des UEs de différents
  programmes sont équivalentes et peuvent se capitaliser.
- Enfin, ScoDoc permet d'enregistrer la validation d'une UE obtenue par ailleurs
  (par exemple dans un autre établissement suite à un transfert, à l'étranger,
  etc.).

## Formations ScoDoc et UEs

Chaque UE possède un code interne ScoDoc que l'on peut modifier via la page
d'édition des programmes:

<img src="/screens/ue-edit-code.png" width="70%" 
alt="Modification du code interne d'une UE">

On peut utiliser un code quelconque, y compris celui donné dans un autre
logiciel comme Apogée. En bas de cette même page, ScoDoc affiche la liste des
UEs ayant le même code, afin de vérifier facilement la compatibilité:

<img src="/screens/ue-edit-code-equiv.png" width="70%" 
alt="UEs partageant le même code">

Ne pas confondre ce code d'UE interne avec le code Apogée, qui n'est utilisé que pour
les exports de résultats.

## Exemple BUT avec UE capitalisée

Soit une formation BUT, ici R&T, avec 3 UE. Certaines ressources (comme R101) sont communes à
deux ou trois UEs.

<img src="/fig/but-uescap-coefs.png" width="25%">

L'étudiant "Mael REDOUBLE" a redoublé sa première année, mais avait capitalisé
l'UE 1 de S1. Son parcours s'affiche ainsi:

<img src="/fig/but-uescap-fiche.png" width="60%">

Son bulletin montre l'UE 1 actuelle (moyenne 8,32/20) et celle capitalisée
(moyenne 10,36/20):
<img src="/fig/but-uescap-bul-avant.png" width="70%">

Il décide de ne pas refaire cette UE1. Pour cela, on le désinscrit de l'UE (menu
**Inscriptions** / **Gérer les inscriptions aux UEs et modules**).

<img src="/fig/but-uescap-desincr.png" width="40%">

Maintenant, son UE1 capitalisée apparait seule sur son bulletin.

Dans cet exemple, la ressource `R101` (commune) est rattachée à l'UE 1 (mais ce
rattachement technique n'a pas de conséquences pratiques). L'étudiant reste bien
sûr inscrit à `R101` (et doit suivre ses cours), puisque cette ressource
intervient dans les autres UE non capitalisées.

S'il y a des ressources dont les notes ne contribuent qu'à l'UE1, l'étudiant
peut ne pas les suivre: il faut alors le désincrire sélectivement au niveau du
tableau de bord module.

C'est dans cet exemple le cas pour la SAÉ `SAE11`.

<img src="/fig/but-uescap-inscrmodule.png" width="30%">
