# Le référentiel de compétence du BUT

Chaque spécialité de BUT est définie par un référentiel de compétence et un
référentiel de formation. Ces documents sont publiés ici:
[https://www.enseignementsup-recherche.gouv.fr/fr/bo/21/Special4/ESRS2114777A.htm](https://www.enseignementsup-recherche.gouv.fr/fr/bo/21/Special4/ESRS2114777A.htm)

Le référentiel de compétence définit notamment les compétences et leurs niveaux
pour chaque parcours de la spécialité. Ce document publié par le ministère ne
peut pas être modifié par les universités: les adaptations portent uniquement
sur les modalités de formation (adaptations locales du référentiel de formation,
validées par le CFVU de chaque établissement).

ScoDoc propose de charger les référentiels de compétences, qui ont été publiés
en format XML par l'application Orébut de l'ADIUT.

Une fois chargées, ces données ne sont pas modifiables.

## Formation et référentiel de compétences

Rappel: dans ScoDoc, on  appelle *formation* le programme pédagogique, qui
définit l'ensemble des UEs, ressources, SAÉs et leurs coefficients respectifs.
Voir détails [sur la page Formation](Formations.md).

Un formation de type BUT *doit* être associée à un référentiel de compétence.
Sans cela, ScoDoc ne sait pas quels UEs et RCUEs doivent être validés. Voir
détail de la configuration sur la page 
[Modélisation BUT: exemple de la spécialité Informatique](BUTExempleInfo.md).

## Changement de versions du référentiel de compétences

Il peut arriver que le référentiel de compétences d'une spécialité soit mis à
jour: ainsi, en 2023 de nouvelles versions ont été publiées pour de nombreuses
spécialités, corrigeant certains détails (intitulés de parcours, ...).

Les étudiants ayant commencé dans un référentiel devraient en principe continuer
jusqu'au diplôme avec ce même référentiel.

Exemple de situation en Septembre 2023:

- S1 : formation v2, référentiel 2023
- S3 : formation v1, référentiel 2021
- S5 : formation v1, référentiel 2021

Ici "formation v2" aura été créé comme une nouvelle version de la formation v1,
puis associée au nouveau référentiel.

Si toutefois le S3 était associé à la v2, avec le nouveau référentiel, ScoDoc
considérait que les RCUEs du BUT1 ne sont pas valides pour la nouvelle version:
en effet, RCUEs et compétences sont liés à un référentiel donné.
Dans ce cas, il faudrait procéder, pour chaque étudiant, à la validation
manuelle de ses RCUEs du nouveau référentiel comme des validation de RCUEs
"antérieurs". C'est heureusement facile à faire sur la page de suivi de
l'acquisition des niveaux de compétences:

<img src="/screens/but-validation-rcues.png" width="50%">


!!! note "Voir aussi"

    - [Le BUT: détails et calculs](BUT.md)
    - [Guide du responsable de formation](GuideAdminFormation/md)
    - [Programmes de formation](Formations.md)
    - [Guide utilisateur](GuideUtilisateur.md)
    - [Tutoriels vidéo](https://www.youtube.com/channel/UCb0JYCBRi0CsE4XFp4ByhXg)
          - [Gestion des UE Bonus](https://www.youtube.com/watch?v=SVbjuDpq-lI)
          - [Mise en place des parcours BUT](https://www.youtube.com/watch?v=OnuOXJo-3ro)
          - [Saisie des codes Apogée](https://www.youtube.com/watch?v=MW0nNhbBjDM)
          - [Du DUT au BUT: comment transformer un programme](https://www.youtube.com/watch?v=9HizGTvYgck)
    - [FAQ](FAQ.md)
    - [Contacts](Contact.md)
